Prosody can't find luajwtjitsi 5.2 module

I’m having a hard time with installing/compiling a luajwtjitsi module because I’m trying to setup authentication with JWT tokens. This is what prosody.err spits out:

Apr 03 01:28:37 modulemanager   error   Error initializing module 'token_verification' on 'conference.web.my.domain.com': /usr/lib/prosody/util/startup.lua:199: module 'luajwtjitsi' not found:No LuaRocks module found for luajwtjitsi
        no field package.preload['luajwtjitsi']
        no file '/usr/lib/prosody/luajwtjitsi.lua'
        no file '/usr/local/share/lua/5.2/luajwtjitsi.lua'
        no file '/usr/local/share/lua/5.2/luajwtjitsi/init.lua'
        no file '/usr/local/lib/lua/5.2/luajwtjitsi.lua'
        no file '/usr/local/lib/lua/5.2/luajwtjitsi/init.lua'
        no file '/usr/share/lua/5.2/luajwtjitsi.lua'
        no file '/usr/share/lua/5.2/luajwtjitsi/init.lua'
        no file '/var/lib/prosody/.luarocks/share/lua/5.2/luajwtjitsi.lua'
        no file '/var/lib/prosody/.luarocks/share/lua/5.2/luajwtjitsi/init.lua'
        no file '/usr/lib/prosody/luajwtjitsi.so'
        no file '/usr/local/lib/lua/5.2/luajwtjitsi.so'
        no file '/usr/lib/x86_64-linux-gnu/lua/5.2/luajwtjitsi.so'
        no file '/usr/lib/lua/5.2/luajwtjitsi.so'
        no file '/usr/local/lib/lua/5.2/loadall.so'
        no file '/var/lib/prosody/.luarocks/lib/lua/5.2/luajwtjitsi.so'

This is Ubuntu 18.04. I’m using Jitsi repos. The package is jitsi-meet-tokens_1.0.3928-1_all.deb

I have luarocks modules 5.1. Do they really need to be 5.2? Because it seems that jitsi-meet-tokens.deb can’t actually install them out-of-the-box.

Same issue I am facing
I have installed jitsi-meet-token but when I am passing jwt token nothing happen but authentication popup gone any way.

any updates? I am facing same issue